<div class="row" feature-flag="enhanced-reports-collapsed-acb">
    <div class="col-sm-12">
      <table class="table table-responsive">
        <thead>
          <tr>
            <td colspan="7" class="text-center">
              <div st-pagination="" st-items-by-page="$ctrl.pageSize" st-displayed-pages="10"></div>
            </td>
          </tr>
          <tr>
            <th class="search-header" st-sort="developerName" st-skip-natural="true">Developer</th>
            <th class="search-header" st-sort="productName" st-skip-natural="true">Product</th>
            <th class="search-header" st-sort="edition" st-skip-natural="true">Certification Edition</th>
            <th class="search-header" st-sort="acbName" st-skip-natural="true">ONC-ACB</th>
            <th class="search-header" st-sort="chplProductNumber" st-skip-natural="true">CHPL Product Number</th>
            <th class="search-header" st-sort="certificationDate" st-skip-natural="true">Certification Date</th>
            <th class="search-header" st-sort="date" st-skip-natural="true" st-sort-default="reverse">Activity Date</th>
          </tr>
        </thead>
        <tfoot>
          <tr>
            <td colspan="7" class="text-center">
              <div class="text-right">
                <label for="pageSizeTop" class="sr-only">Show how many results</label>
                Showing up to&nbsp;
                <select ng-model="$ctrl.pageSize" id="pageSizeTop"
                        ng-options="v as v for v in [50,100,250,1000,5000]">
                </select>
                &nbsp;results per page
              </div>
              <div st-pagination="" st-items-by-page="$ctrl.pageSize" st-displayed-pages="10"></div>
            </td>
          </tr>
        </tfoot>
        <tbody>
          <tr ng-repeat="activity in $ctrl.displayed">
            <td>{{ activity.developerName }}</td>
            <td>{{ activity.productName }}</td>
            <td>{{ activity.edition }}</td>
            <td>{{ activity.acbName }}</td>
            <td>
              <a href="#/product/{{ activity.objectId }}">{{ activity.chplProductNumber }}</a>
              <a ui-sref="listing({id: activity.objectId })" class="pull-right" feature-flag="listing-edit"><i class="fa fa-pencil-square-o"></i></a>
              <a href="#/admin/dpManagement/manage/{{ activity.objectId }}" class="pull-right" feature-flag="listing-edit" feature-flag-hide><i class="fa fa-pencil-square-o"></i></a>
            </td>
            <td>
              {{ activity.certificationDate | date : 'mediumDate' : 'UTC' }}
            </td>
            <td>
              <button class="btn btn-link pull-right" ng-if="!activity.action && !activity.showDetails" ng-click="$ctrl.parse(activity); activity.showDetails = true">Details</button>
              <button class="btn btn-link pull-right" ng-if="activity.action && !activity.showDetails" ng-click="activity.showDetails = true">Details</button>
              <button class="btn btn-link pull-right" ng-if="activity.action && activity.showDetails" ng-click="activity.showDetails = false">Hide Details</button>
              <button class="btn btn-link pull-right" ng-if="!activity.action && activity.showDetails" disabled><i class="fa fa-spin fa-spinner"></i> Processing</button>
              {{ activity.date | date : 'MMM d, y H:mm:ss Z' : 'UTC' }}
              <div ng-if="activity.action && activity.showDetails">
                {{ activity.action }}
                <ul>
                  <li ng-repeat="str in activity.details | orderBy : 'toString()' track by $index" ng-bind-html="str"></li>
                </ul>
                <button class="btn btn-sm btn-ai-success" ng-click="$ctrl.compareSurveillances(activity.source.oldS, activity.source.newS)" ng-if="activity.source"><i class="fa fa-search"></i>View Details</button>
              </div>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>